Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452853 - system-config-printer sees the windows workgroup, but not the machine or printer to share
Summary: system-config-printer sees the windows workgroup, but not the machine or prin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-printer
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 13:34 UTC by ritz
Modified: 2018-10-20 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:34:22 UTC


Attachments (Terms of Use)
patch based on upstrem code (deleted)
2008-06-25 13:34 UTC, ritz
no flags Details | Diff
patch based on upstrem code (deleted)
2008-06-26 21:24 UTC, ritz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0066 normal SHIPPED_LIVE system-config-printer bug fix update 2009-01-20 16:04:05 UTC

Description ritz 2008-06-25 13:34:52 UTC
Description of problem:

The utility is able to see the windows workgroups on LAN, but when you click to
expand one workgroup, in order to see the machines in it and the subsequent
printers shared, it doesn't show anything. It's not possible to add the printer.


Version-Release number of selected component (if applicable):
system-config-printer-0.6.116.10-1.2
system-config-printer-gui-0.6.116.10-1.2

How reproducible:
always

Steps to Reproduce:
1. Install a printer in Windows XP. Share it with right-click.
2. Open system-config-printer,and try to add the shared printer.
  
Actual results:
Nothing happens. The printer won't show or open or install.

You get, in the terminal, this message at the exact moment you double click the
workgroup name listed below "share" in the box (when selected Windows printer
via SAMBA").

[root@localhost ~]# system-config-printer 
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2031,
in on_tvSMBBrowser_cursor_changed
    domain_iter = store.iter_parent (parent_iter)
TypeError: child should be a GtkTreeIter


Expected results:
No error/warning messages


Additional info:
It seems pysmb.py cannot obtain a list of printer share


+++ This bug was initially created as a clone of Bug #225351 +++

Comment 1 ritz 2008-06-25 13:34:53 UTC
Created attachment 310263 [details]
patch based on upstrem code

Comment 2 ritz 2008-06-26 21:24:35 UTC
Created attachment 310385 [details]
patch based on upstrem code

fixes the cusrsor_changed traceback and allows one to select printer, by
unselecting hosts or domain which were previously selected.

Comment 3 David Aquilina 2008-07-18 15:52:37 UTC
(In reply to comment #2)
> Created an attachment (id=310385) [edit]
> patch based on upstrem code
> 
> fixes the cusrsor_changed traceback and allows one to select printer, by
> unselecting hosts or domain which were previously selected.

Customer tested this patch and reports that it fixes their problem. 



Comment 4 RHEL Product and Program Management 2008-08-04 21:44:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 errata-xmlrpc 2009-01-20 20:34:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0066.html


Note You need to log in before you can comment on or make changes to this bug.